%define oname	mapper

#define pre	RC2
%define rel	1

Name:		openorienteering-%{oname}
Summary:	An orienteering map making program
Version:	0.6.7
Release:	%mkrel %{?pre:0.%pre.}%{rel}
License:	GPLv3
Group:		Sciences/Geosciences
Url:		http://oorienteering.sourceforge.net/
Source0:	https://github.com/OpenOrienteering/mapper/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch2:		openorienteering-mapper_0.5.3-fix-build-with-new-CMake.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(proj) >= 4.8.0
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	qt5gui-private-devel
BuildRequires:	qt5printsupport-private-devel
BuildRequires:	cups-devel
BuildRequires:	qttools5-assistant
BuildRequires:	qttools5
Provides:	%{oname} = %{version}-%{release}

%description
OpenOrienteering Mapper is an orienteering map making program.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%cmake_qt5 \
	-DMapper_BUILD_CLIPPER:BOOL=OFF \
	-DMapper_BUILD_PROJ:BOOL=OFF \
	-DMapper_BUILD_QT:BOOL=OFF \
	-DMapper_USE_QT5:BOOL=ON
%make_build VERBOSE=1

%install
%make_install -C build

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%{_bindir}/Mapper
%{_datadir}/%{name}/
%{_mandir}/man?/Mapper.*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png


%changelog
* Sat Jan 07 2017 wally <wally> 0.6.7-1.mga6
+ Revision: 1080566
- new version 0.6.7

* Mon Sep 19 2016 akien <akien> 0.6.4-3.mga6
+ Revision: 1054424
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 0.6.4-2.mga6
+ Revision: 1054306
- Rebuild for polyclipping 6.4

* Mon Aug 15 2016 wally <wally> 0.6.4-1.mga6
+ Revision: 1046486
- new version 0.6.4

* Fri May 20 2016 tv <tv> 0.6.1-2.mga6
+ Revision: 1017108
- rebuild for new libproj

* Mon Mar 14 2016 wally <wally> 0.6.1-1.mga6
+ Revision: 990428
- new version 0.6.1

* Thu Dec 17 2015 wally <wally> 0.5.97-1.mga6
+ Revision: 911417
- new version 0.5.97
- drop unneeded patches

* Sun Sep 20 2015 wally <wally> 0.5.96-2.mga6
+ Revision: 881852
- build with debug symbols enabled

* Mon Aug 17 2015 wally <wally> 0.5.96-1.mga6
+ Revision: 865329
- add patch to fix build with Qt5.5
- new version 0.5.96
- drop patches from usptream

* Sat Nov 08 2014 spuhler <spuhler> 0.5.3-6.mga5
+ Revision: 796057
- rebuild with updated polyclipping

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-5.mga5
+ Revision: 740736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-4.mga5
+ Revision: 683229
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 0.5.3-3.mga5
+ Revision: 672611
- add rediffed patches from upstream git to build with system polyclipping
- add patch to fix build with new cmake

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 538823
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 490446
- new version 0.5.3

* Sun Aug 04 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 463585
- new version 0.5.2
- build with clipper 5.1.6

* Sun Jul 21 2013 wally <wally> 0.5.2-0.RC2.1.mga4
+ Revision: 456854
- new version 0.5.2 RC2
- build with clipper 5.1.5 (add patch from upstream)
- switch to Qt5

* Sat Jul 20 2013 wally <wally> 0.5.1-1.mga4
+ Revision: 456587
- imported package openorienteering-mapper

